List Messages
Browse messages across all conversations.
Find specific messages with the filter expression parameter.
Use filter=issue_count >= 1 to quickly find flagged messages.
Embedding options:
embed=(evaluations)- include issue evaluation resultsembed=(evaluations(annotations))- include span-level annotations for highlighting or further analysis
Query Parameters
limit?Limit
Maximum number of items to return
Range
0 < value <= 100Default
50cursor?|
Pagination cursor
embed?|
Embed resources: (evaluations) or (evaluations(annotations))
filter?|
Message filter expression.
Header Parameters
x-workspace-id?|
Workspace UUID for session-authenticated calls.
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/messages"{ "next_page_cursor": "string", "query": {}, "has_more": true, "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407", "role": "string", "parts": [ {} ], "sequence_number": 0, "origin_agent_run_id": "string", "origin_run_tags": { "property1": "string", "property2": "string" }, "event_time": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "generation": { "model": "string", "input_tokens": 0, "output_tokens": 0, "cost_usd": 0, "latency_ms": 0, "time_to_first_token_ms": 0, "cache_creation_input_tokens": 0, "cache_read_input_tokens": 0, "input_without_cache_tokens": 0, "reasoning_output_tokens": 0, "output_without_reasoning_tokens": 0, "operation_cost_usd": 0, "calculated_cost_usd": 0, "input_cost_usd": 0, "input_without_cache_cost_usd": 0, "cache_creation_cost_usd": 0, "cache_read_cost_usd": 0, "output_cost_usd": 0, "output_without_reasoning_cost_usd": 0, "reasoning_cost_usd": 0, "response_id": "string", "provider": "string", "finish_reasons": [ "string" ], "agent_description": "string", "agent_id": "string", "agent_name": "string", "request_parameters": {} }, "evaluation": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "message_id": "d7d9d9fd-478f-40e6-b651-49b7f19878a2", "status": "string", "evaluator_id": "92c2c259-25b9-47e2-bc3b-bd161a87f750", "input_tokens": 0, "output_tokens": 0, "error_message": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "annotations": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "message_id": "d7d9d9fd-478f-40e6-b651-49b7f19878a2", "text": "string", "label": "string", "explanation": "string", "message_part_index": 0, "start_offset": 0, "end_offset": 0, "tool_name": "string", "parameter_name": "string", "created_at": "2019-08-24T14:15:22Z" } ] } } ]}